/*
 * AddBlogInfoDlg.h : ここうさぎウィザード carot
 *      ブログ情報設定(追加・編集)ダイアログ ヘッダーファイル
 *          written by H.Tsujimura  18 Mar 2005
 *
 * $Log: /makeRSS/carot/AddBlogInfoDlg.h $
 * 
 * 8     07/11/30 2:49 Tsujimura543
 * Jugem 向け専用処理、変数を削除、廃止
 * 
 * 7     07/10/17 23:48 Tsujimura543
 * ダミーのコピーコンストラクタ、代入演算子を private として導入。
 * 知らないうちにメモリ確保(と解放し忘れ)が発生する可能性を排除。
 * 
 * 6     07/10/17 23:24 Tsujimura543
 * 余分なプリプロセッサ制御文を削除
 * 
 * 5     07/10/17 23:19 Tsujimura543
 * バージョン管理用コメントを入れるようにする
 */

#if !defined(AFX_ADDBLOGINFODLG_H__AADF46FB_7234_4E4E_960D_D0BE767D9699__INCLUDED_)
#define AFX_ADDBLOGINFODLG_H__AADF46FB_7234_4E4E_960D_D0BE767D9699__INCLUDED_

#include "carotDlg.h"

/////////////////////////////////////////////////////////////////////////////
// CAddBlogInfoDlg ダイアログ

class CAddBlogInfoDlg : public CDialog
{
// コンストラクション
public:
	CAddBlogInfoDlg(CWnd* pParent = NULL);   // 標準のコンストラクタ

    CCarotDlg   *m_blogInfo;
    int         m_blogKind;
    bool        m_useCbox;
    bool        m_mode; /* true: blog 追加 / false: 登録情報編集 */

    void        switchBlogName();
    void        switchBlogID();
    void        switchBlogURL();
    void        switchEndpointURL();
    void        switchMoreInfo();

// ダイアログ データ
	//{{AFX_DATA(CAddBlogInfoDlg)
	enum { IDD = IDD_ADD_BLOGINFO_DIALOG };
	CComboBox	m_blogKindList;
	CString	m_blogID;
	CString	m_blogName;
	CString	m_blogPassword;
	CString	m_blogUserName;
	CString	m_endpointURL;
	CString	m_blogURL;
	//}}AFX_DATA

// オーバーライド
	//{{AFX_VIRTUAL(CAddBlogInfoDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV サポート
	//}}AFX_VIRTUAL

// インプリメンテーション
protected:
	// メッセージマップ関数
	//{{AFX_MSG(CAddBlogInfoDlg)
	afx_msg void OnButtonMoreInfo();
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg void OnSelchangeComboBlogList();
	afx_msg void OnUpdateEditBlogUserName();
	afx_msg void OnUpdateEditBlogPassword();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
    CAddBlogInfoDlg( CAddBlogInfoDlg &dlg );
    CAddBlogInfoDlg operator = ( CAddBlogInfoDlg &dlg );
};

//{{AFX_INSERT_LOCATION}}

#endif // !defined(AFX_ADDBLOGINFODLG_H__AADF46FB_7234_4E4E_960D_D0BE767D9699__INCLUDED_)
